Reject Proposal
POST
/api/v1/self-improvement/proposals/{proposal_id}/reject
const url = 'https://api.ultimateteam.ai/api/v1/self-improvement/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reject';const options = {method: 'POST', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/self-improvement/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reject \ --header 'X-API-Key: <X-API-Key>'Reject a pending proposal. Chairman-only.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”proposal_id
required
Proposal Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}